Next: SCORE-Pseudo, Up: SCORE-Dependent

#### 9.36.1 Options

The following table lists all available SCORE options.

`-G` num
  This option sets the largest size of an object that can be referenced implicitly with the `gp` register. The default value is 8.
`-EB`
  Assemble code for a big-endian cpu
`-EL`
  Assemble code for a little-endian cpu
`-FIXDD`
  Assemble code for fix data dependency
`-NWARN`
  Assemble code for no warning message for fix data dependency
`-SCORE5`
  Assemble code for target is SCORE5
`-SCORE5U`
  Assemble code for target is SCORE5U
`-SCORE7`
  Assemble code for target is SCORE7, this is default setting
`-SCORE3`
  Assemble code for target is SCORE3
`-march=score7`
  Assemble code for target is SCORE7, this is default setting
`-march=score3`
  Assemble code for target is SCORE3
`-USE_R1`
  Assemble code for no warning message when using temp register r1
`-KPIC`
  Generate code for PIC. This option tells the assembler to generate score position-independent macro expansions. It also tells the assembler to mark the output file as PIC.
`-O0`
  Assembler will not perform any optimizations
`-V`
  Sunplus release version